> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Refund



## OpenAPI

````yaml openapi.json post /refund
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /refund:
    parameters: []
    post:
      tags:
        - Refund
      summary: Create Refund
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '439'
            ETag:
              schema:
                type: string
              example: W/"1b7-YThooALGE4wjMof8D5rHPS4mVzo"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Mon, 12 May 2025 12:18:37 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Create Refund - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      merchantId:
                        type: string
                      transactionId:
                        type: string
                      customerNote:
                        type: string
                      merchantNote:
                        type: string
                      amount:
                        type: integer
                      updatedAt:
                        type: string
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
                      status:
                        type: string
                      deletedAt:
                        nullable: true
              example:
                status: true
                message: Operation is successful
                data:
                  id: accab6bc-403f-4846-ba2a-5292dc8056dd
                  merchantId: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                  transactionId: d508258c-2ff6-4c4d-9409-22077929abf7
                  customerNote: I can't find my transaction
                  merchantNote: What's the status of this transaction?
                  amount: 400
                  updatedAt: '2025-05-12T12:18:37.634Z'
                  createdAt: '2025-05-12T12:18:37.634Z'
                  status: pending
                  deletedAt: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````